BUSH(1)

NAME
bush - PegaSoft Business Shell

SYNOPSIS
bush [-bcdeghilnrvVx] [--break][--check][--debug][--exec][--gcc-errors] [--import-all][--login][--no-check][--verbose][--version] [--restricted][--trace][--] [script [param1 ...] ]

DESCRIPTION

Bush is a sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bush uses the high reliability AdaScript language and supports web and database development. Scripts can be compiled with GCC or converted to JVM or .Net applets using the appropriate compilers.

Bush is intended to be conformant with the ISO Ada standard and is part of the ABEE open source alternative to J2EE.

-b, --break
    enable breakout debugging prompt

-c, --check
    syntax check the script but do not run

-d, --debug
    enable pragma assert and pragma debug

-e, --exec
    script is a string containing BUSH commands

-g, --gcc-errors
    simple GCC-style errors (good for IDEs)

-i, --import-all
    import all environment variables

-l, --login
    simulate a login shell

-n, --no-check
    run script without checking syntax

-r, --restricted
    restricted shell mode

-x, --trace
    show script lines as they run

-v, ---verbose
    show shell activity

-V, --version
    show version and exit

--
    explicitly end shell options

-h, --help
    display command option help and exit

AUTHOR
Written by Ken O. Burtch.

REPORTING BUGS
Report bugs to <ken@pegasoft.ca>.

COPYRIGHT
Bush is Copyright (c)2001-2004 PegaSoft Canada & Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation and AdaScript language description is maintained as an HTML manual. These items are also available online along with the discussion forum and source code treasury at BUSH home page http://www.pegasoft.ca/bush.html.